Subject: Re: Environment containers

From: "Thompson, David" <[email-masked]>
Date: Thu, 29 Oct 2015 15:25:50 -0400

On Thu, Oct 29, 2015 at 3:24 PM, Ludovic Courtès <[email-masked]> wrote:
> "Thompson, David" <[email-masked]> skribis:
>
>> I think it is /proc/sys/kernel/unprivileged_userns_clone, but I don't
>> know what the contents are exactly.  0 when off, 1 when on?  Can
>> someone on Debian confirm?
>>
>> If we can get the test suite passing, I'd like to extract these user
>> namespace presence tests to a procedure that 'guix environment' can
>> use to give the user an informative error message in these cases.
>
> That would be perfect.
>
> The test machinery would still need to test them explicitly, though, to
> mark tests as skipped instead of failed.

Yes, of course.  I have no intention of removing those checks from the tests.

- Dave